Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 21 Dec 2020 04:04:44 +0000

Hi Rehan Khan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have been calling customer care everyday since 3 weeks now, but they are helping me at all, even none of the managers are calling me back,. I want refund for the order which shows delivered but I didnt receive the order.The delivery guy did not even call me and I was not at home. Its really very disappointing service. I have been a regular customer and the way customer service agents are treating is worst.i meed my refund back now. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1889629